Create Display
curl --request POST \
--url https://{baseurl}/api/v1/client/{workspaceId}/displays \
--header 'Content-Type: application/json' \
--data '
{
"surveyId": "{{surveyId}}",
"userId": "{{userId}} (optional)"
}
'import requests
url = "https://{baseurl}/api/v1/client/{workspaceId}/displays"
payload = {
"surveyId": "{{surveyId}}",
"userId": "{{userId}} (optional)"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({surveyId: '{{surveyId}}', userId: '{{userId}} (optional)'})
};
fetch('https://{baseurl}/api/v1/client/{workspaceId}/displays', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "clvc1z8200006494jgnds7ort"
}
}{
"code": "internal_server_error",
"details": {},
"message": "\nInvalid `prisma.display.create()` invocation:\n\n\nAn operation failed because it depends on one or more records that were required but not found. No 'Survey' record(s) (needed to inline the relation on 'Display' record(s)) was found for a nested connect on one-to-many relation 'DisplayToSurvey'."
}Client API - Display
Create Display
Create a new display for a valid survey ID. If a userId is passed, the display is linked to the user. Note - Environments are deprecated. Use Workspace/workspaceId terminology.
POST
/
api
/
v1
/
client
/
{workspaceId}
/
displays
Create Display
Path Parameters
Body
application/json
The body is of type object.
Response
OK
The response is of type object.
Was this page helpful?
⌘I